#include <ESP8266WiFi.h>
#include <Adafruit_Sensor.h>
#include <DHT.h>
#include <DHT_U.h>
const char* ssid = "сеть";            // Название WIFI сети
const char* password = "пароль";     // Пароль от WIFI сети
const char* host = "192.168.1.195";    // Локальный адрес
const uint16_t port = 80;              // Порт
const int pirPIN = D3;                 // контакт  подключения датчика
const int buzzPin = D4;                // контакт  подключения пищалки
int freq = 1000;                       // частота звукового сигнала в Hz
const int Delay = 300;                // пауза 0.3 cекунда 
int i = 1;
int alarm = 1;
#define DHTPIN D5 
#define DHTTYPE    DHT11     // DHT 11
//#define DHTTYPE    DHT22     // DHT 22 (AM2302)
//#define DHTTYPE    DHT21     // DHT 21 (AM2301)
DHT_Unified dht(DHTPIN, DHTTYPE);

unsigned long last_time;               // Переменная для хранения времени
unsigned long last_time2; 
void setup()
{
  Serial.begin(115200);               // инициализация последовательного порта
  dht.begin();
  sensor_t sensor;
  dht.temperature().getSensor(&sensor);
  Serial.println("Начало калибровки датчика");
  Serial.printf("Connecting to %s ", ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED)   // Ждём пока не соединится
  {
    delay(500);
    Serial.print(".");
   delay(40000);                        //задержка в 40 СЕКУНД для инициализации датчика
  Serial.println("Калибровка датчика окончена!!!"); }
}

void loop() {
   int state = digitalRead(pirPIN);
   sensors_event_t event;
   dht.temperature().getEvent(&event); 
   float temp = event.temperature;
   dht.humidity().getEvent(&event);
   int hum = int(event.relative_humidity);

if(millis() - last_time2 > 10000) {                // 10 секунд
   WiFiClient client;
  if (client.connect(host, port))
  {
    client.print("GET /insert.php?");
    client.print("hum=");
    client.print(hum);
    client.print("&temp=");
    client.print(temp);
    client.println(" HTTP/1.1");
    client.print( "Host: " );
    client.println(host);
    client.println( "Connection: close" );
    client.println();
    client.println();    
    while (client.connected())                          //Ответ
    {
      if (client.available())
      {
        String line = client.readStringUntil('\n');
      }
    }
    client.stop();                                    // Остановить клиента
  }
 
  else
  {
    client.stop();                                    // Ошибка подключения
  }  
  last_time2 = millis(); 
}

   
   if(state == 1) {
    Serial.print("Тревога - ");
    Serial.println(i);
    i++; 
      if(alarm <= 3){
          tone(buzzPin,freq,Delay);          // звуковая сигнализация на 0.3 сек
          delay(Delay);                      //задержка  
          noTone(buzzPin);
          delay(Delay);                      //задержка  
          alarm++;                   
      }  
    delay(Delay*2);                      //задержка 

  if(millis() - last_time > 60000) {                // 1 минута
  WiFiClient client;
  if (client.connect(host, port))
  {
    client.print("GET /insert.php?");
    client.print("status=");
    client.print(state);
    client.println(" HTTP/1.1");
    client.print( "Host: " );
    client.println(host);
    client.println( "Connection: close" );
    client.println();
    client.println();    
    while (client.connected())                          //Ответ
    {
      if (client.available())
      {
        String line = client.readStringUntil('\n');
      }
    }
    client.stop();                                    // Остановить клиента
  }
 
  else
  {
    client.stop();                                    // Ошибка подключения
  }  
  last_time = millis();    
 }
}
  if(state == 0 && alarm >= 3) {
    Serial.println("Отбой тревоги ");
    i=1;
    alarm=1;
  }
}
