#include <ESP8266WiFi.h>
const char* ssid = "сеть";            // Название WIFI сети
const char* password = "пароль";     // Пароль от WIFI сети
const char* host = "192.168.1.195";    // Локальный адрес
const uint16_t port = 80;              // Порт
const int pirPIN = D3;                 // контакт  подключения датчика
unsigned long last_time;               // Переменная для хранения времени


void setup()
{
  Serial.begin(115200);               // инициализация последовательного порта
  Serial.println("Начало калибровки датчика");
  Serial.printf("Connecting to %s ", ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED)   // Ждём пока не соединится
  {
    delay(500);
    Serial.print(".");
  }
  delay(60000);                        //задержка в 1 минуту для инициализации датчика
  Serial.println("Калибровка датчика окончена!!!");
}

void loop() {
  int state = digitalRead(pirPIN);
  Serial.println(state);
   if(state == 1) {
  if(millis() - last_time > 300000) { // 1 минута = 60000 5 сек = 5000
  WiFiClient client;
  if (client.connect(host, port))
  {
    client.print("GET /insert.php?");
    client.print("status=");
    client.print(state);
    client.println(" HTTP/1.1");
    client.print( "Host: " );
    client.println(host);
    client.println( "Connection: close" );
    client.println();
    client.println();    
    while (client.connected())                          //Ответ
    {
      if (client.available())
      {
        String line = client.readStringUntil('\n');
      }
    }
    client.stop();                                    // Остановить клиента
  }
 
  else
  {
    client.stop();                                    // Ошибка подключения
  }
  last_time = millis();
 }
}
  //delay(1000);                         // Ждём 1 минуту
}
